/*
 * Spheres avec reflet
 * @param {type} dots
 * @param {type} couleurs
 * @returns {undefined}
 */
function draw(dots, couleurs, nb_point, nb_param) {
    var textureCube = skyBox(couleurs);

    var geometry = new THREE.SphereGeometry(20, 20, 20);
//            var material = new THREE.MeshBasicMaterial({color: 0xE6E6FA, envMap: textureCube, refractionRatio: 0.95});
    //chrome avec reflet
    var material = new THREE.MeshPhongMaterial({color: couleurs[0], specular: 0xffffff, envMap: textureCube, combine: THREE.MultiplyOperation});

//            var geometry = new THREE.SphereGeometry(10, 10, 10);
//            var material = new THREE.MeshPhongMaterial({color: 0xffffff});
    var counter = 0;
    for (var i = 0; i < nb_point; i++) {
        var sphere = new THREE.Mesh(geometry, material);
        sphere.position.x = dots[counter];
        sphere.position.y = dots[counter + 1];
        if (nb_param === 3) {
            sphere.position.z = dots[counter + 2];
        }
        else sphere.position.z = 0;
        group.add(sphere);
        counter += 3;
    }
}